import { CellRenderer, TextRenderer } from '@lumino/datagrid';
declare let exportedClass: any;
/**
 * The namespace for the `HtmlRenderer` class statics.
 */
export declare namespace HtmlRenderer {
    /**
     * An options object for initializing a html renderer.
     */
    interface IOptions extends TextRenderer.IOptions {
        /**
    
         * The font for drawing the cell text.
         *
         * The default is `'12px sans-serif'`.
         */
        font?: CellRenderer.ConfigOption<string>;
        /**
         * The string to be displayed when placeholder is painted
         *
         * The default is `'...'`.
         */
        placeholder?: CellRenderer.ConfigOption<string>;
        /**
         * The color for the drawing the cell text.
         *
         * The default `'#000000'`.
         */
        textColor?: CellRenderer.ConfigOption<string>;
        /**
         * The vertical alignment for the cell text.
         *
         * The default is `'center'`.
         */
        verticalAlignment?: CellRenderer.ConfigOption<TextRenderer.VerticalAlignment>;
        /**
         * The horizontal alignment for the cell text.
         *
         * The default is `'left'`.
         */
        horizontalAlignment?: CellRenderer.ConfigOption<TextRenderer.HorizontalAlignment>;
    }
}
export { exportedClass };
